-- Copyright 1999-2012. Parallels IP Holdings GmbH. All Rights Reserved.
-- Upgrade script for Plesk Backup Manager database tables
ALTER TABLE `psa`.`BackupsScheduled` DROP COLUMN `objects`;
ALTER TABLE `psa`.`BackupsScheduled` CHANGE COLUMN `obj_type` `obj_type` ENUM('server', 'reseller', 'client', 'domain') NOT NULL;
ALTER TABLE `psa`.`BackupsScheduled` CHANGE COLUMN `files` `rotation` INT NOT NULL default 0;
ALTER TABLE `psa`.`BackupsScheduled` ADD COLUMN `suspend` ENUM('true', 'false') NOT NULL default 'false';
ALTER TABLE `psa`.`BackupsScheduled` ADD COLUMN `with_content`  ENUM('true', 'false') NOT NULL default 'true';

-- part2 
ALTER TABLE `psa`.`BackupsScheduled` ADD COLUMN `backup_day` INT UNSIGNED NOT NULL default '0';
ALTER TABLE `psa`.`BackupsScheduled` ADD COLUMN `backup_time` TIME NOT NULL default '00:00:00';
ALTER TABLE `psa`.`BackupsScheduled` CHANGE COLUMN `last` `last` DATETIME DEFAULT NULL;

UPDATE BackupsScheduled SET backup_day = DATE_FORMAT(last, '%e') WHERE period = '2592000';
UPDATE BackupsScheduled SET backup_day = DATE_FORMAT(last, '%w') WHERE period = '604800';
UPDATE BackupsScheduled SET backup_time = DATE_FORMAT(last, '%H:%i:%S');

DROP TABLE `psa`.`BackupsObjects`;

-- suspend_handler history table
CREATE TABLE IF NOT EXISTS suspend_handler_history (
    dom_id     INT UNSIGNED NOT NULL
               -- domain ID
,   session_id VARCHAR(255) CHARACTER SET binary
               -- dump name
) ENGINE=InnoDB;
