-- Copyright 1999-2012. Parallels IP Holdings GmbH. All Rights Reserved.
--
-- Shared APS Controller integration data.
--

-- Information about hosting panel resources used for APS applications
CREATE TABLE IF NOT EXISTS apsResources (
  `id` INT UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY,
  `registryId` VARCHAR(36) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `pleskType` VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `pleskId` INT UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Runtime parameters of hosting panel resources used for APS applications
CREATE TABLE IF NOT EXISTS apsResourcesParameters (
  `id` INT UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY,
  `apsResourceId` INT UNSIGNED NOT NULL,
  `name` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `value` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL default ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Information about hosting panel contexts used for APS applications
CREATE TABLE IF NOT EXISTS apsContexts (
  `id` INT UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY,
  `pleskType`  VARCHAR(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
  `pleskId` INT UNSIGNED NOT NULL,
  `ssl` ENUM('false','true') NOT NULL DEFAULT 'false',
  `subscriptionId` INT UNSIGNED DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Set of Shared APS Controller Application Resources IDs linked to hosting contexts
CREATE TABLE IF NOT EXISTS apsContextsApplications (
  `id` INT UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY,
  `apsContextId` INT UNSIGNED NOT NULL,
  `registryApplicationId` VARCHAR(36) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Add health monitor action
REPLACE INTO actions (name, descr, enabled) VALUES ('health_status_change', 'Server health status changed', 'true');

-- File Sharing users
CREATE TABLE IF NOT EXISTS fileSharingUsers (
  `id` INT(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `userId` INT(11) NOT NULL,
  `login` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `password` VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci,
  UNIQUE KEY `userId` (`userId`),
  UNIQUE KEY `login` (`login`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
